<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('4','views','R');     
$_SESSION['cuPages']='dai_explist.php';   
$cuPage='dai_explist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='daily';
$menuh='Daily Process';
$phead='expitm';
$page='Expenses Head';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['delexh'])){
$id=$_POST['delexh'];
if(delete_check('tbl_expensesde','expid',$id)>0){
save_msg('w','Expenses Head Depend On Other Table!!!');
echo "<script>window.location='dai_explist.php'</script>";
return;    
}
$name= get_fild_data('tbl_acledger',$id,'name');   
$sql="DELETE FROM tbl_acledger WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Expenses Head name: '.$name));    
write_activity($aid,'EXP','Expenses Head has been deleted',$act);       
save_msg('s','Expenses Head Successfully Deleted!!!');
}else{
save_msg('w','Expenses Head Fail to Delete!!!');    
}     
echo "<script>window.location='dai_explist.php'</script>";
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title"><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Expenses Head List';}else{echo 'খরচের খাত সমূহ';}?></h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead class="text-uppercase">
<tr>
<th style="width:40px;"><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'SN';}else{echo 'নং';}?></th>    
<th><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Name';}else{echo 'নাম';}?></th>
<th><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Type';}else{echo 'ধরন';}?></th>    
<th><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Description';}else{echo 'বর্ণনা';}?></th>
<th style="width:40px; text-align:center;"><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Action';}else{echo 'সিদ্ধান্ত';}?></th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_acledger WHERE grid IN (8,9) AND sgrid IN (20,21) ORDER BY name ASC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>   
<td><?php if(get_fild_data('tbl_setting','1','sval')==0){echo $row['name'];}else{echo $row['bname'];}?></td>
<td><?php if(get_fild_data('tbl_setting','1','sval')==0){echo get_fild_data('tbl_acsubgroup',$row['sgrid'],'name');}else{echo get_fild_data('tbl_acsubgroup',$row['sgrid'],'bname');}?></td>     
<td><?php echo $row['description'];?></td>
<td nowrap="">
<a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="dai_explist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delexh" value="<?php echo $row['id']; ?>" />
</form>
<form action="dai_expedit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editexh" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="dai_expadd.php" class="btn btn-flat bg-purple"><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'Add Head';}else{echo 'খরচের খাত যোগ করুন';}?></a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title"><?php if(get_fild_data('tbl_setting','1','sval')==0){echo 'History';}else{echo 'ইতিহাস';}?> </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'EXP','A');}else{echo read_activity($aid,'EXP','U');}?>
</div>
</div>
</div>
</div>
</div>
</div> 

<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
} );
function edit_item(id) {
   document.getElementById(id).submit(); 
}
function remove_item(id) {
        bootbox.confirm({
            title: "Confirm",
            message: "Are you sure to delete ?",
            buttons: {
                confirm: {
                    label: 'Yes',
                    className: 'btn-flat bg-purple'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn-flat bg-gray'
                }
            },
            callback: function (result) {
                if (result == true) {
                    document.getElementById(id).submit();
                }
            }
        });

    }
</script>    
<!-- /page script -->
</html>    